Bug 119488 - RPM-GPG-KEY management is not friendly to beta/fedora/rawhide/test
RPM-GPG-KEY management is not friendly to beta/fedora/rawhide/test
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-30 16:23 EST by John Reiser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-03-30 16:23:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When rhn-applet starts up for the first time, it asks if you want to
import RPM-GPG-KEY.  Especially for beta/fedora/rawhide/test
situations, it should remind you that there is more than one key,
prompt you to insert or locate the first CD-ROM image, and then let
you import them all: RPM-GPG-KEY-beta, -fedora, -fedora-rawhide,
-fedora-test.


Version-Release number of selected component (if applicable):
rhn-applet-2.1.7-1.1

How reproducible:
Always

Steps to Reproduce:
1. Fresh install FC2test2 (Software Development Workstation), run
firstboot, graphical login multi-user.
2. Click on rhn-applet with red pulsating icon in panel.
3. Watch for dialog box prompting you to import RPM-GPG-KEY.
    

Actual Results:  If you say, "Yes" then the only key that gets
imported is RPM-GPG-KEY.  The others are not even mentioned.

Expected Results:  For beta/fedora/rawhide/test situations, the applet
should remind you that there is more than one key, prompt you to
locate the first CD-ROM image, and then let you import all
RPM-GPG-KEY-* keys.

Additional info:
Comment 1 John Thacker 2006-10-29 17:34:34 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 2 John Thacker 2006-11-05 11:31:04 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.